| globjects 1.0.0.000000000000 Strict OpenGL objects wrapper.

Classes | Namespaces
AbstractUniform.h File Reference
`#include <string>`
`#include <set>`
`#include <vector>`
`#include <array>`
`#include <unordered_map>`
`#include <glm/fwd.hpp>`
`#include <globjects/base/Referenced.h>`
`#include <globjects/globjects_api.h>`
`#include <globjects/LocationIdentity.h>`
`#include <globjects/AbstractUniform.inl>`

Go to the source code of this file.

## Classes
class | globjects::Uniform< T >
| Wraps access to typed global GLSL variables. More...
class | globjects::AbstractUniform
| Abstract base class for templated Uniforms. More...

## Namespaces
| globjects
| Contains all the classes that wrap OpenGL functionality.